Bug 1411190 - [DOCS] Document Init Containers
Summary: [DOCS] Document Init Containers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Wei Sun
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 01:51 UTC by Vikram Goyal
Modified: 2017-03-08 18:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 17:37:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vikram Goyal 2017-01-09 01:51:42 UTC
From email (hchiramm@redhat.com)

====
There is a new feature called 'init containers' which is available from OCP 3.3 version.

We can make use of this feature to replace the jobs what 'deploy-heketi' pod does now.  I have opened an upstream issue ( https://github.com/heketi/heketi/issues/529 ) for the same.

But unfortunately I am not able to see any specific documentation about 'init containers' in our downstream Openshift guides.

Anyone have reference about this feature in OCP ?
====


Eng card: https://trello.com/c/PFquWUyh/722-8-rebase

Comment 1 Ashley Hardin 2017-01-09 20:16:52 UTC
Michal, Can you provide some information about what init containers are, how they are used, and any other details that would be helpful to users? Thanks!

Comment 3 Ashley Hardin 2017-01-12 20:16:24 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/3482

Comment 4 DeShuai Ma 2017-01-16 03:12:44 UTC
Read the docs, it LGTM and verify the bug.

Comment 5 openshift-github-bot 2017-01-16 19:27:15 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/f828d14263fe1aa5b70db5876aed1001ca62aa21
Bug 1411190, added information about init containers

https://github.com/openshift/openshift-docs/commit/11fb0bf7bd12cab9c2018b61778338603cac2d44
Merge pull request #3482 from ahardin-rh/init-containers

Bug 1411190, added information about init containers


Note You need to log in before you can comment on or make changes to this bug.